# Universe - The big bang to my universe
#
# Copyright (c) 2023-2024 Sameer Rahmani <lxsameer@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
{ pkgs, lib, inputs, ...}:
{
  imports = [
    inputs.stylix.nixosModules.stylix
  ];

  stylix.image = lib.mkForce ./wallpaper.jpg;
  stylix.polarity = "dark";
  stylix.fonts = {
    serif = {
      package = pkgs.vazir-fonts;
      name = "Vazirmatn";
    };

    sansSerif = {
      package = pkgs.vazir-fonts;
      name = "Vazirmatn";
    };

    monospace = {
      package = pkgs.fira-mono;
      name = "Fira Mono";
    };

    emoji = {
      package = pkgs.noto-fonts-emoji;
      name = "Noto Color Emoji";
    };
    sizes = {
      applications = 12;
      desktop = 12;
      popups = 10;
      terminal = 12;
    };
  };
}
