# Universe - The big bang to my universe
#
# Copyright (c) 2023-2024 Sameer Rahmani <lxsameer@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
{ nixpkgs,
  modules,
  system,
  inputs,
  pkgs,
  utils,
  diskModule,
  host, # String
  hostBuilderConfig ? {
    inVM = false;
  },
  ...
}:


let
  inVM = (utils.sanitizeBuilderConfig hostBuilderConfig).inVM;
in nixpkgs.lib.nixosSystem {
  inherit system;

  modules = (with modules; [
    "${nixpkgs}/nixos/modules/profiles/minimal.nix"
    "${nixpkgs}/nixos/modules/profiles/qemu-guest.nix"
    (_: {
      networking.hostName = "Universe";
    })
    bootable
    base
    installerUser
    generator
    diskModule
  ]);

  # Pass these attributes to all the modules for this
  # host
  specialArgs = { inherit inputs hostBuilderConfig; };
}
